diff --git a/src/Plugin/views/exposed_form/BetterExposedFilters.php b/src/Plugin/views/exposed_form/BetterExposedFilters.php
index c541b8e..10d2c21 100644
--- a/src/Plugin/views/exposed_form/BetterExposedFilters.php
+++ b/src/Plugin/views/exposed_form/BetterExposedFilters.php
@@ -531,7 +531,10 @@ Title Desc|Z -> A</pre> Leave the replacement text blank to remove an option alt
       $supported_types = array('entity_autocomplete', 'textfield');

       $filter_id = $filter->options['expose']['identifier'];
-      if (in_array($filter_form[$filter_id]['#type'], $supported_types) || in_array($filter_form[$filter_id]['value']['#type'], $supported_types)) {
+      if ((isset($filter_form[$filter_id]['#type']) &&
+          in_array($filter_form[$filter_id]['#type'], $supported_types)) ||
+        (isset($filter_form[$filter_id]['value']) &&
+          (in_array($filter_form[$filter_id]['value']['#type'], $supported_types)))) {
         // Allow users to specify placeholder text.
         $bef_options[$label]['more_options']['placeholder_text'] = [
           '#type' => 'textfield',